Bug 1649767 - On-screen keyboard ignores right mouse button clicks in the candidate list.
Summary: On-screen keyboard ignores right mouse button clicks in the candidate list.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 13:36 UTC by Mike FABIAN
Modified: 2019-11-27 21:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:37:51 UTC
Type: Bug


Attachments (Terms of Use)
showing-related-emoji-with-ibus-typing-booster-candidate-list.png (266.04 KB, image/png)
2018-11-14 13:39 UTC, Mike FABIAN
no flags Details
no-way-to-show-related-emoji-with-the-candidate-list-of-the-onscreen-keyboard.png (186.94 KB, image/png)
2018-11-14 13:42 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2018-11-14 13:36:48 UTC
When using ibus-typing-booster with “Unicode symbols and emoji predictions” turned on in the settings, ibus-typing-booster may display emoji as candidates.
For example when typing “butterfly” one may see 🦋 in the candidate list.

When this is not exactly the emoji one wanted, one can click with the right mouse button on that candidate and see related emoji. For example, when clicking
with the right mouse button on 🦋 one gets other insects or animals as candidates.

See also:

http://mike-fabian.github.io/ibus-typing-booster/documentation.html#emoji-related

for a description of this feature.

But when the candidate list is displayed by the on-screen keyboard, right mouse clicks on a candidate are apparently ignored, so there is no way to lookup related emoji.

The same problem occurs when one tries to lookup similar words (synonyms)
with ibus-typing-booster. This feature is described here:

http://mike-fabian.github.io/ibus-typing-booster/documentation.html#related-words-nltk

Comment 1 Mike FABIAN 2018-11-14 13:39:40 UTC
Created attachment 1505691 [details]
showing-related-emoji-with-ibus-typing-booster-candidate-list.png

Showing related emoji by clicking with the right mouse button on 🦋 
in the candidate list of ibus-typing-booster.

Comment 2 Mike FABIAN 2018-11-14 13:42:53 UTC
Created attachment 1505697 [details]
no-way-to-show-related-emoji-with-the-candidate-list-of-the-onscreen-keyboard.png

Here the candidate list is displayed by the on-screen keyboard.
It shows 🦋 but clicking with the right mouse button on this emoji
is ignored.

Comment 3 Ben Cotton 2019-10-31 19:44:33 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 21:37:51 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.